### Function

# FwupdPlugin sum32w

#### Declaration [src]

    guint32
    fu_sum32w (
      const guint8* buf,
      gsize bufsz,
      FuEndianType endian
    )

#### Description [src]

Returns the arithmetic sum of all bytes in `buf`, adding them one dword at a time. The caller must ensure that `bufsz` is a multiple of 4.

Available since: | 1.8.2

#### Parameters

`buf` | `const guint8*`
| Memory buffer.
| The data is owned by the caller of the function.
`bufsz` | `gsize`
| Size of `buf`.
`endian` | `FuEndianType`
| An endian type, e.g. `G_LITTLE_ENDIAN`.

#### Return value

Returns: | `guint32`
| Sum value.